=== debian/control ===
Source: kdnssd-kf5
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9.0.0),
               extra-cmake-modules (>= 1.2.0),
               libavahi-common-dev,
               libkf5config-dev (>= 5.3.0),
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev,
               qttools5-dev,
               qttools5-dev-tools
Standards-Version: 3.9.5
Homepage: https://projects.kde.org/projects/frameworks/kdnssd
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/frameworks/kdnssd.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/frameworks/kdnssd.git

Package: libkf5dnssd-dev
Section: libdevel
Architecture: any
Depends: libkf5dnssd5 (= ${binary:Version}), ${misc:Depends},
 qtbase5-dev
Description: development files for kdnssd
 KDNSSD is a library for handling the DNS-based 
 Service Discovery Protocol (DNS-SD), the layer of 
 Zeroconf that allows network services.
 .
 Contains development files for kdnssd.

Package: libkf5dnssd5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
 libkf5dnssd-data (= ${source:Version})
Description: Abstraction to system DNSSD features.
 KDNSSD is a library for handling the DNS-based
 Service Discovery Protocol (DNS-SD), the layer of
 Zeroconf that allows network services.

Package: libkf5dnssd-data
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: foreign
Description: Abstraction to system DNSSD features.
 KDNSSD is a library for handling the DNS-based
 Service Discovery Protocol (DNS-SD), the layer of
 Zeroconf that allows network services.
 .
 This package contains the data files.

Package: libkf5dnssd5-dbg
Priority: extra
Section: debug
Architecture: any
Multi-Arch: same
Depends: libkf5dnssd5 (= ${binary:Version}), ${misc:Depends}
Description: debug symbols for kdnssd
 KDNSSD is a library for handling the DNS-based
 Service Discovery Protocol (DNS-SD), the layer of
 Zeroconf that allows network services.
 .
 Contains debug symbols for kdnssd.
