=== debian/control ===
--- 
+++ 
@@ -3,28 +3,29 @@
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake,
-               debhelper (>= 9.0.0),
-               extra-cmake-modules (>= 1.8.0),
+Build-Depends: cmake (>= 2.8.12),
+               debhelper (>= 9),
+               extra-cmake-modules (>= 5.15.0~),
                libavahi-common-dev,
-               libkf5config-dev (>= 5.9.0),
                pkg-kde-tools (>= 0.15.15ubuntu1~),
-               qtbase5-dev,
-               qttools5-dev,
-               qttools5-dev-tools
-Standards-Version: 3.9.5
+               qtbase5-dev (>= 5.4),
+               qttools5-dev (>= 5.4),
+               qttools5-dev-tools (>= 5.4)
+Standards-Version: 3.9.6
+XS-Testsuite: autopkgtest
 Homepage: https://projects.kde.org/projects/frameworks/kdnssd
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/frameworks/kdnssd.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/frameworks/kdnssd.git
 Vcs-Git: git://anonscm.debian.org/pkg-kde/frameworks/kdnssd.git
 
 Package: libkf5dnssd-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5dnssd5 (= ${binary:Version}), ${misc:Depends},
- qtbase5-dev
+Depends: libkf5dnssd5 (= ${binary:Version}),
+         qtbase5-dev (>= 5.4),
+         ${misc:Depends}
 Description: development files for kdnssd
- KDNSSD is a library for handling the DNS-based 
- Service Discovery Protocol (DNS-SD), the layer of 
+ KDNSSD is a library for handling the DNS-based
+ Service Discovery Protocol (DNS-SD), the layer of
  Zeroconf that allows network services.
  .
  Contains development files for kdnssd.
@@ -32,8 +33,9 @@
 Package: libkf5dnssd5
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends},
- libkf5dnssd-data (= ${source:Version})
+Depends: libkf5dnssd-data (= ${source:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
 Description: Abstraction to system DNSSD features.
  KDNSSD is a library for handling the DNS-based
  Service Discovery Protocol (DNS-SD), the layer of
