=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.18.0~),
+               extra-cmake-modules (>= 5.26.0~),
                libavahi-common-dev,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.4),
@@ -13,8 +13,8 @@
                qttools5-dev-tools (>= 5.4)
 Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/frameworks/kdnssd
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/frameworks/kdnssd.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/frameworks/kdnssd.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdnssd
+Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdnssd
 
 Package: libkf5dnssd-dev
 Section: libdevel
@@ -50,16 +50,3 @@
  Zeroconf that allows network services.
  .
  This package contains the data files.
-
-Package: libkf5dnssd5-dbg
-Priority: extra
-Section: debug
-Architecture: any
-Multi-Arch: same
-Depends: libkf5dnssd5 (= ${binary:Version}), ${misc:Depends}
-Description: debug symbols for kdnssd
- KDNSSD is a library for handling the DNS-based
- Service Discovery Protocol (DNS-SD), the layer of
- Zeroconf that allows network services.
- .
- Contains debug symbols for kdnssd.
