=== debian/control ===
--- 
+++ 
@@ -5,22 +5,22 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.26.0~),
+               extra-cmake-modules (>= 5.28.0~),
                libavahi-common-dev,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
-               qtbase5-dev (>= 5.4),
+               qtbase5-dev (>= 5.5.0~),
                qttools5-dev (>= 5.4),
                qttools5-dev-tools (>= 5.4)
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: https://projects.kde.org/projects/frameworks/kdnssd
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdnssd
-Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdnssd
+Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/frameworks/kdnssd.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-kde/frameworks/kdnssd.git
 
 Package: libkf5dnssd-dev
 Section: libdevel
 Architecture: any
 Depends: libkf5dnssd5 (= ${binary:Version}),
-         qtbase5-dev (>= 5.4),
+         qtbase5-dev (>= 5.5.0~),
          ${misc:Depends}
 Description: development files for kdnssd
  KDNSSD is a library for handling the DNS-based
@@ -28,6 +28,7 @@
  Zeroconf that allows network services.
  .
  Contains development files for kdnssd.
+Breaks: libkf5kdelibs4support-dev (<< 5.28)
 
 Package: libkf5dnssd5
 Architecture: any
