=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.38.0~),
+               extra-cmake-modules (>= 5.44.0~),
                libavahi-common-dev,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.6.1~),
@@ -15,6 +15,17 @@
 Homepage: https://projects.kde.org/projects/frameworks/kdnssd
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdnssd
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdnssd
+
+Package: libkf5dnssd-data
+Architecture: all
+Multi-Arch: foreign
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Description: Abstraction to system DNSSD features.
+ KDNSSD is a library for handling the DNS-based
+ Service Discovery Protocol (DNS-SD), the layer of
+ Zeroconf that allows network services.
+ .
+ This package contains the data files.
 
 Package: libkf5dnssd-dev
 Architecture: any
@@ -34,19 +45,8 @@
 Multi-Arch: same
 Depends: libkf5dnssd-data (= ${source:Version}),
          ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
 Description: Abstraction to system DNSSD features.
  KDNSSD is a library for handling the DNS-based
  Service Discovery Protocol (DNS-SD), the layer of
  Zeroconf that allows network services.
-
-Package: libkf5dnssd-data
-Architecture: all
-Multi-Arch: foreign
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Description: Abstraction to system DNSSD features.
- KDNSSD is a library for handling the DNS-based
- Service Discovery Protocol (DNS-SD), the layer of
- Zeroconf that allows network services.
- .
- This package contains the data files.
